com.hazelcast.cache

## Enum CacheEventType

- java.lang.Object
- - java.lang.Enum<CacheEventType>
  - - com.hazelcast.cache.CacheEventType

- All Implemented Interfaces:
    Serializable, Comparable<CacheEventType>

      public enum CacheEventType
      extends Enum<CacheEventType>

  Hazelcast JCache implementation's internal event types. This enum type is an extension to `EventType` to define more event types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED` An event type indicating that the cache operation has completed.
    `CREATED` An event type indicating that the cache entry was created.
    `EVICTED` An event type indicating that the cache entry has evicted.
    `EXPIRATION_TIME_UPDATED` An event type indicating that the expiration time of cache record has been updated
    `EXPIRED` An event type indicating that the cache entry has expired.
    `INVALIDATED` An event type indicating that the cache entry has invalidated for Near Cache invalidation.
    `PARTITION_LOST` An event type indicating that partition loss is detected in given cache with name
    `REMOVED` An event type indicating that the cache entry was removed.
    `UPDATED` An event type indicating that the cache entry was updated, i.e.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.cache.event.EventType` | `convertToEventType(CacheEventType cacheEventType)` Converts a `CacheEventType` into `EventType`.
    `static CacheEventType` | `getByType(int eventType)`
    `int` | `getType()`
    `static CacheEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CacheEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final CacheEventType CREATED

      An event type indicating that the cache entry was created.

    - #### UPDATED

          public static final CacheEventType UPDATED

      An event type indicating that the cache entry was updated, i.e. a previous mapping existed.

    - #### REMOVED

          public static final CacheEventType REMOVED

      An event type indicating that the cache entry was removed.

    - #### EXPIRED

          public static final CacheEventType EXPIRED

      An event type indicating that the cache entry has expired.

    - #### EVICTED

          public static final CacheEventType EVICTED

      An event type indicating that the cache entry has evicted.

    - #### INVALIDATED

          public static final CacheEventType INVALIDATED

      An event type indicating that the cache entry has invalidated for Near Cache invalidation.

    - #### COMPLETED

          public static final CacheEventType COMPLETED

      An event type indicating that the cache operation has completed.

    - #### EXPIRATION_TIME_UPDATED

          public static final CacheEventType EXPIRATION_TIME_UPDATED

      An event type indicating that the expiration time of cache record has been updated

    - #### PARTITION_LOST

          public static final CacheEventType PARTITION_LOST

      An event type indicating that partition loss is detected in given cache with name

  - ### Method Detail

    - #### values

          public static CacheEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheEventType c : CacheEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

      Returns:
        unique ID of the event type.

    - #### getByType

          public static CacheEventType getByType(int eventType)

    - #### convertToEventType

          public static javax.cache.event.EventType convertToEventType(CacheEventType cacheEventType)

      Converts a `CacheEventType` into `EventType`. Just an Enum type conversion takes place.
      Parameters:
        `cacheEventType` - a `CacheEventType`.
      Returns:
        same event of `EventType` enum.

Copyright © 2018. All rights reserved.